<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model backend\models\AdminMenu */

$this->title = Yii::t('app', 'Admin Menus').': '.$model->name;
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'Admin Menus'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="admin-menu-view box box-primary">
<?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'admin_menu_id',
            'admin_menu_pid',
            'status',
            'hide_min',
            'sort',
            'name',
            'path',
            'param',
        ],
    ]) ?>

    <div class="box-footer with-border">
        <p>
            <?= Html::a(Yii::t('app', 'Update'), ['update', 'id' => $model->admin_menu_id], ['class' => 'btn btn-primary btn-flat']) ?>
            <?= Html::a(Yii::t('app', 'Delete'), ['delete', 'id' => $model->admin_menu_id], [
                'class' => 'btn btn-danger btn-flat',
                'data' => [
                    'confirm' => Yii::t('app', 'Are you sure you want to delete this item?'),
                    'method' => 'post',
                ],
            ]) ?>
            <?= Html::a(Yii::t('app', 'Back'), ['index'], ['class' => 'btn btn-default btn-flat']) ?>
        </p>
    </div>
    
</div>