<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $searchModel backend\models\TerminSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('app', 'termin');
$this->params['breadcrumbs'][] = $this->title;

?>
<div class="termin-index">

    <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?= Html::a(Yii::t('app', 'Create'), ['create'], ['class' => 'btn btn-success']) ?>
    </p> 

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],
            [
                'attribute' => 'termin_title',
                //'value' => 'terminLangs.termin_title'
            ],
            [
                'attribute' => 'termin_parent_title',
                'value' => 'terminStructures.parent.terminLangs.termin_title',
                'content' => function($model, $key, $index, $column)
                {
                    return isset ($model->terminStructures[0]->parent->terminLangs[0]->termin_title) ? $model->terminStructures[0]->parent->terminLangs[0]->termin_title : '';
                }
            ],
            'termin_name',
            'is_book',

            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>

</div>
