<?php

namespace common\models;

class Tools
{
    /** 
     * Проверяет на наличие элементов в массиве, если нет - создает с значением или без
     * @param array $mass
     * @param array $exist
     */
    static function ifNotExist (&$mass, $exist)
    {
        if (! is_array ($mass))
        {
            $mass = array();
        }
 
        foreach ($exist as $key => $value)
        {
            if (is_int ($key))
            {
                $exist[$value] = '';
                unset ($exist[$key]);
            }
        }
    
        foreach ($exist as $key => $value)
        {
            if (! isset ($mass[$key]) 
                || (isset ($mass[$key]) && $mass[$key] === ''))
            { 
                $mass[$key] = $value;
            }
        }
    }
 
    static function translit ($string, $setting = 'all')
    {
        $letter = array (
    
            'а' => 'a',   'б' => 'b',   'в' => 'v',
            'г' => 'g',   'д' => 'd',   'е' => 'e',
            'ё' => 'e',   'ж' => 'zh',  'з' => 'z',
            'и' => 'i',   'й' => 'y',   'к' => 'k',
            'л' => 'l',   'м' => 'm',   'н' => 'n',
            'о' => 'o',   'п' => 'p',   'р' => 'r',
            'с' => 's',   'т' => 't',   'у' => 'u',
            'ф' => 'f',   'х' => 'h',   'ц' => 'c',
            'ч' => 'ch',  'ш' => 'sh',  'щ' => 'sch',
            'ь' => "",    'ы' => 'y',   'ъ' => "",
            'э' => 'e',   'ю' => 'yu',  'я' => 'ya',
            'ї' => 'yi',  'є' => 'ye',  'і' => 'ee',
    
            'А' => 'A',   'Б' => 'B',   'В' => 'V',
            'Г' => 'G',   'Д' => 'D',   'Е' => 'E',
            'Ё' => 'E',   'Ж' => 'Zh',  'З' => 'Z',
            'И' => 'I',   'Й' => 'Y',   'К' => 'K',
            'Л' => 'L',   'М' => 'M',   'Н' => 'N',
            'О' => 'O',   'П' => 'P',   'Р' => 'R',
            'С' => 'S',   'Т' => 'T',   'У' => 'U',
            'Ф' => 'F',   'Х' => 'H',   'Ц' => 'C',
            'Ч' => 'Ch',  'Ш' => 'Sh',  'Щ' => 'Sch',
            'Ь' => "",    'Ы' => 'Y',   'Ъ' => "",
            'Э' => 'E',   'Ю' => 'Yu',  'Я' => 'Ya',
            'Ї' => 'Yi',  'Є' => 'Ye',  'І' => 'Ee'
        );
    
        $symbol = array (
            ' ' => '-',   "'" => '',    '"' => '',
            '!' => '',    "@" => '',    '#' => '',
            '$' => '',    "%" => '',    '^' => '',
            ';' => '',    "*" => '',    '(' => '',
            ')' => '',    "+" => '',    '~' => '',
            '.' => '',    ',' => '-',    '?' => '',
            '…' => '',    '№' => 'N',   '°' => '',
            '`' => '',    '|' => '',    '&' => '-and-',
            '<' => '',    '>' => ''
        );
    
        if ($setting == 'all')
        {
            $converter = $letter + $symbol;
        }
        else if ($setting == 'letter')
        {
            $converter = $letter;
        }
        else if ($setting == 'symbol')
        {
            $converter = $symbol;
        }
         
        $url = strtr ($string, $converter);
    
        $url = str_replace ("---", '-', $url);
        $url = str_replace ("--", '-', $url);
    
        return $url;
    }

    static function parseUrlParams($params)
    {
        $params = preg_split('/,\s*/', $params, -1, PREG_SPLIT_NO_EMPTY);
        $result = [];
        if($params) {
            foreach($params as $param) {
                $param = preg_split('/\s*=\s*/', $param);
                if(!empty($param[0]) && !empty($param[1])) {
                    $result[$param[0]] = $param[1];
                }
            }
        }
        return $result;
    }
}